Bug 890046 - [abrt] geoclue-0.12.0-10.fc17: Process /usr/libexec/geoclue-master was killed by signal 6 (SIGABRT)
Summary: [abrt] geoclue-0.12.0-10.fc17: Process /usr/libexec/geoclue-master was killed...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: geoclue
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:a24f78f21160d89a43ef9c249f1...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-24 15:58 UTC by Bruce-Robert Pocock
Modified: 2013-08-01 08:29 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 08:29:06 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (2.75 KB, text/plain)
2012-12-24 15:58 UTC, Bruce-Robert Pocock
no flags Details
File: environ (1.00 KB, text/plain)
2012-12-24 15:58 UTC, Bruce-Robert Pocock
no flags Details
File: limits (1.29 KB, text/plain)
2012-12-24 15:58 UTC, Bruce-Robert Pocock
no flags Details
File: backtrace (13.16 KB, text/plain)
2012-12-24 15:58 UTC, Bruce-Robert Pocock
no flags Details
File: smolt_data (3.16 KB, text/plain)
2012-12-24 15:58 UTC, Bruce-Robert Pocock
no flags Details
File: cgroup (131 bytes, text/plain)
2012-12-24 15:58 UTC, Bruce-Robert Pocock
no flags Details
File: executable (27 bytes, text/plain)
2012-12-24 15:58 UTC, Bruce-Robert Pocock
no flags Details
File: maps (14.79 KB, text/plain)
2012-12-24 15:58 UTC, Bruce-Robert Pocock
no flags Details
File: dso_list (3.07 KB, text/plain)
2012-12-24 15:58 UTC, Bruce-Robert Pocock
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2012-12-24 15:58 UTC, Bruce-Robert Pocock
no flags Details
File: var_log_messages (159 bytes, text/plain)
2012-12-24 15:58 UTC, Bruce-Robert Pocock
no flags Details
File: open_fds (308 bytes, text/plain)
2012-12-24 15:58 UTC, Bruce-Robert Pocock
no flags Details

Description Bruce-Robert Pocock 2012-12-24 15:58:10 UTC
Version-Release number of selected component:
geoclue-0.12.0-10.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/libexec/geoclue-master
crash_function: gc_master_provider_initialize_interfaces
kernel:         3.6.8-2.fc17.x86_64

truncated backtrace:
:Thread no. 1 (6 frames)
: #4 gc_master_provider_initialize_interfaces at master-provider.c:822
: #5 gc_master_provider_initialize at master-provider.c:849
: #6 network_status_changed at master-provider.c:890
: #17 g_object_notify_by_spec_internal at gobject.c:1133
: #18 g_object_notify at gobject.c:1175
: #19 deferred_notify_cb at nm-object.c:437

Potential duplicate bug: 705098

Comment 1 Bruce-Robert Pocock 2012-12-24 15:58:12 UTC
Created attachment 668520 [details]
File: core_backtrace

Comment 2 Bruce-Robert Pocock 2012-12-24 15:58:14 UTC
Created attachment 668521 [details]
File: environ

Comment 3 Bruce-Robert Pocock 2012-12-24 15:58:15 UTC
Created attachment 668522 [details]
File: limits

Comment 4 Bruce-Robert Pocock 2012-12-24 15:58:17 UTC
Created attachment 668523 [details]
File: backtrace

Comment 5 Bruce-Robert Pocock 2012-12-24 15:58:19 UTC
Created attachment 668524 [details]
File: smolt_data

Comment 6 Bruce-Robert Pocock 2012-12-24 15:58:20 UTC
Created attachment 668525 [details]
File: cgroup

Comment 7 Bruce-Robert Pocock 2012-12-24 15:58:22 UTC
Created attachment 668526 [details]
File: executable

Comment 8 Bruce-Robert Pocock 2012-12-24 15:58:23 UTC
Created attachment 668527 [details]
File: maps

Comment 9 Bruce-Robert Pocock 2012-12-24 15:58:25 UTC
Created attachment 668528 [details]
File: dso_list

Comment 10 Bruce-Robert Pocock 2012-12-24 15:58:26 UTC
Created attachment 668529 [details]
File: proc_pid_status

Comment 11 Bruce-Robert Pocock 2012-12-24 15:58:28 UTC
Created attachment 668530 [details]
File: var_log_messages

Comment 12 Bruce-Robert Pocock 2012-12-24 15:58:29 UTC
Created attachment 668531 [details]
File: open_fds

Comment 13 Bill McGonigle 2013-03-25 01:09:49 UTC
connected to new dhcp network

backtrace_rating: 4
Package: geoclue-0.12.0-10.fc17
OS Release: Fedora release 17 (Beefy Miracle)

Comment 14 Bill McGonigle 2013-03-25 03:44:37 UTC
it might be gtk-redshift that's calling geoclue on my system

Comment 15 Fedora End Of Life 2013-07-04 02:29:34 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2013-08-01 08:29:10 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.